2 Replies Latest reply: Jul 21, 2012 1:03 PM by Francis Mann
Francis Mann Level 1 Level 1 (5 points)

I tried to update my iTunes to the current 10.6.3 version but I cannot. An error of "The update could not be verified. It may have been corrupted during downloading" keeps popping up. All my software is Apple and legal so I don't know what the problem is. Is it something about Logic libraries? Actual iTunes is 10.6.1(7). Snowleopard is uptodate to. Shoul I ignore the update? Can anyone help?
Thanks


iMac 3.06 GHz, Mac OS X (10.6.1)